Loading...
Searching...
No Matches
addrxlat_CAPI Struct Reference

## Data Fields

unsigned long | ver
| Structure version.
PyObject * | convert
| Default conversion object.
PyObject *(* | FullAddress_FromPointer )(PyObject *conv, const addrxlat_fulladdr_t *faddr)
addrxlat_fulladdr_t *(* | FullAddress_AsPointer )(PyObject *self)
PyObject *(* | Context_FromPointer )(PyObject *conv, addrxlat_ctx_t *ctx)
addrxlat_ctx_t *(* | Context_AsPointer )(PyObject *self)
PyObject *(* | Method_FromPointer )(PyObject *conv, const addrxlat_meth_t *meth)
addrxlat_meth_t *(* | Method_AsPointer )(PyObject *self)
PyObject *(* | Range_FromPointer )(PyObject *conv, const addrxlat_range_t *range)
addrxlat_range_t *(* | Range_AsPointer )(PyObject *self)
PyObject *(* | Map_FromPointer )(PyObject *conv, addrxlat_map_t *map)
addrxlat_map_t *(* | Map_AsPointer )(PyObject *self)
PyObject *(* | System_FromPointer )(PyObject *conv, addrxlat_sys_t *sys)
addrxlat_sys_t *(* | System_AsPointer )(PyObject *self)
PyObject *(* | Step_FromPointer )(PyObject *conv, const addrxlat_step_t *step)
int(* | Step_Init )(PyObject *self, const addrxlat_step_t *step)
addrxlat_step_t *(* | Step_AsPointer )(PyObject *self)
PyObject *(* | Operator_FromPointer )(PyObject *conv, const addrxlat_op_ctl_t *opctl)
int(* | Operator_Init )(PyObject *self, const addrxlat_op_ctl_t *opctl)
addrxlat_op_ctl_t *(* | Operator_AsPointer )(PyObject *self)

The documentation for this struct was generated from the following file:

- python/addrxlatmod.h